DevToolPal
PL

Walidator składni adresów e-mail

Sprawdź składnię jednego lub wielu adresów e-mail, znajdź typowe literówki w domenach i usuń duplikaty. Tylko format, bez sprawdzania skrzynki.

Działa lokalnie, nic nie jest wysyłane

Opcje

Pokaż

Adresy e-mail (jeden na wiersz)

0 znaków · 0 B

Sprawdzenie składni

Tutaj pojawi się wynik

Do czego służy

To narzędzie sprawdza, czy adresy e-mail są poprawnie zapisane. Wklej jeden adres lub całą listę, a każdy zostanie oznaczony jako poprawny lub niepoprawny wraz z przyczyną, np. brakujący @, dwie kropki z rzędu, domena bez kropki lub niedozwolony znak. Przydaje się do czyszczenia listy mailingowej przed importem, sprawdzania reguł walidacji formularzy albo znalezienia jednego uszkodzonego wiersza w eksporcie CSV.

Sprawdza wyłącznie format. Nie łączy się z żadnym serwerem pocztowym, więc nie może stwierdzić, czy skrzynka istnieje lub przyjmuje pocztę.

Jak używać

  1. Wklej adresy w polu wejściowym, jeden na wiersz. Przecinki i średniki również działają jako separatory, więc możesz wkleić bezpośrednio linię Do:.
  2. Wyniki pojawiają się w trakcie pisania, razem z podsumowaniem, ile adresów jest poprawnych, a ile niepoprawnych.
  3. Użyj opcji Pokaż, aby wyświetlić wszystkie, tylko poprawne lub tylko niepoprawne adresy. Usuń duplikaty pomija powtórzenia; domena jest porównywana bez względu na wielkość liter.
  4. Naciśnij Kopiuj poprawne, aby skopiować oczyszczoną listę, po jednym adresie na wiersz.

Obsługiwane są też nazwy wyświetlane: Bob Smith <bob@example.com> jest sprawdzany jako bob@example.com z uwagą, że nazwa została usunięta.

Co jest sprawdzane

  • Dokładnie jeden @ (poza cudzysłowami), z czymś po obu stronach.
  • Cały adres ma najwyżej 254 znaki, a część przed @ najwyżej 64.
  • Część lokalna używa dozwolonych znaków, bez kropek na początku, na końcu ani podwójnych. Części lokalne w cudzysłowie, takie jak "john doe"@example.org, są dozwolone z ostrzeżeniem.
  • Domena ma co najmniej dwie etykiety, każdą o długości 1–63 znaków złożoną z liter, cyfr i łączników, niezaczynającą się ani niekończącą łącznikiem, oraz wiarygodnie wyglądającą domenę najwyższego poziomu. Literały IP, takie jak admin@[192.168.0.1], są dozwolone z ostrzeżeniem.
  • Typowe literówki w popularnych domenach, takie jak gmial.com czy qq.con, dostają podpowiedź „czy chodziło o”.

Przykład

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

FAQ

› Czy to narzędzie sprawdza, czy skrzynka pocztowa istnieje?

Nie. To wyłącznie sprawdzenie składni. Narzędzie nie wyszukuje serwerów pocztowych domeny i nie łączy się z nimi, więc adres może tu przejść, a mimo to wiadomość zostanie odrzucona. Potwierdzenie skrzynki wymaga serwera, a jedynym pewnym testem jest wysłanie e-maila z potwierdzeniem.

› Czy adresy są wysyłane na serwer?

Nie. Każde sprawdzenie odbywa się w twojej przeglądarce, więc twoje listy mailingowe nigdy nie opuszczają twojego urządzenia.

› Jakich reguł przestrzega?

Składni adresów z RFC 5321 i RFC 5322 oraz adresów międzynarodowych z RFC 6531. Przestarzałe formy, takie jak komentarze wewnątrz adresu, są odrzucane, bo prawie żaden system pocztowy ich nie akceptuje.

› Dlaczego poprawny adres jest oznaczony ostrzeżeniem?

Niektóre adresy są zgodne z regułami, ale ryzykowne: prawdopodobna literówka, np. gmial.com, adres IP zamiast domeny, część lokalna w cudzysłowie albo znaki spoza ASCII, które niektóre serwery odrzucają. Taki adres nadal liczy się jako poprawny.